import * as i0 from '@angular/core';
import { Injectable, Component, Input, NgModule } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import { BrowserModule } from '@angular/platform-browser';

class ArcaService {
    constructor() { }
}
ArcaService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.1", ngImport: i0, type: ArcaService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
ArcaService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.1.1", ngImport: i0, type: ArcaService, providedIn: 'root' });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.1", ngImport: i0, type: ArcaService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: function () { return []; } });

class FormItemComponent {
    ngOnInit() {
    }
}
FormItemComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.1", ngImport: i0, type: FormItemComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
FormItemComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.1", type: FormItemComponent, selector: "arca-form-item", inputs: { formItem: "formItem" }, ngImport: i0, template: "<div class=\"group\" *ngIf=\"formItem\">\n  <input type=\"text\"><span class=\"highlight\"></span><span class=\"bar\"></span>\n  <label>{{formItem.titulo}}</label>\n</div>\n\n", styles: [""], dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.1", ngImport: i0, type: FormItemComponent, decorators: [{
            type: Component,
            args: [{ selector: 'arca-form-item', template: "<div class=\"group\" *ngIf=\"formItem\">\n  <input type=\"text\"><span class=\"highlight\"></span><span class=\"bar\"></span>\n  <label>{{formItem.titulo}}</label>\n</div>\n\n" }]
        }], propDecorators: { formItem: [{
                type: Input
            }] } });

class ArcaComponent {
    constructor() {
        this.formItems = [];
    }
    ngOnInit() {
        console.log('Componente FORM ->');
        console.log(this.formItems);
    }
}
ArcaComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.1", ngImport: i0, type: ArcaComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
ArcaComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.1", type: ArcaComponent, selector: "arca-arca", inputs: { formItems: "formItems" }, ngImport: i0, template: `
  <div *ngFor="let item of formItems">
    <arca-form-item [formItem]="item"></arca-form-item>
</div>

  `, isInline: true, dependencies: [{ kind: "component", type: FormItemComponent, selector: "arca-form-item", inputs: ["formItem"] }, { kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.1", ngImport: i0, type: ArcaComponent, decorators: [{
            type: Component,
            args: [{ selector: 'arca-arca', template: `
  <div *ngFor="let item of formItems">
    <arca-form-item [formItem]="item"></arca-form-item>
</div>

  ` }]
        }], propDecorators: { formItems: [{
                type: Input
            }] } });

class FormItemModule {
}
FormItemModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.1", ngImport: i0, type: FormItemModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
FormItemModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.1.1", ngImport: i0, type: FormItemModule, declarations: [FormItemComponent], imports: [CommonModule], exports: [FormItemComponent] });
FormItemModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.1.1", ngImport: i0, type: FormItemModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.1", ngImport: i0, type: FormItemModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        FormItemComponent
                    ],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        FormItemComponent
                    ]
                }]
        }] });

class ArcaModule {
}
ArcaModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.1", ngImport: i0, type: ArcaModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
ArcaModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.1.1", ngImport: i0, type: ArcaModule, declarations: [ArcaComponent], imports: [FormItemModule,
        BrowserModule], exports: [ArcaComponent] });
ArcaModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.1.1", ngImport: i0, type: ArcaModule, imports: [FormItemModule,
        BrowserModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.1", ngImport: i0, type: ArcaModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        ArcaComponent
                    ],
                    imports: [
                        FormItemModule,
                        BrowserModule
                    ],
                    exports: [
                        ArcaComponent
                    ]
                }]
        }] });

/*
 * Public API Surface of arca
 */

/**
 * Generated bundle index. Do not edit.
 */

export { ArcaComponent, ArcaModule, ArcaService };
//# sourceMappingURL=bdb-arca.mjs.map
